﻿Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Linq
Imports System.Text
Imports System.Windows.Forms

Partial Public Class Form1
    Inherits Form
    Public Sub New()
        InitializeComponent()
    End Sub

    ' ロード
    Protected Overrides Sub OnLoad(ByVal e As EventArgs)
        MyBase.OnLoad(e)

        Me.pictureBox1.BackColor = Me.gradationButton5.StartColor
        Me.pictureBox2.BackColor = Me.gradationButton5.EndColor
        Me.pictureBox3.BackColor = Me.gradationButton5.FlatAppearance.BorderColor
        Me.pictureBox4.BackColor = Me.gradationButton5.FlatAppearance.MouseDownBackColor
        Me.pictureBox5.BackColor = Me.gradationButton5.FlatAppearance.MouseOverBackColor
        Me.numericUpDown1.Value = Me.gradationButton5.FlatAppearance.BorderSize
    End Sub

    ' 色設定ボタンクリック
    Private Sub button_Click(ByVal sender As Object, ByVal e As EventArgs) Handles button1.Click, button2.Click, button3.Click, button4.Click, button5.Click
        Using dlg As New ColorDialog()
            Dim pictureBox As PictureBox = Nothing
            If sender Is Me.button1 Then
                pictureBox = Me.pictureBox1
            End If
            If sender Is Me.button2 Then
                pictureBox = Me.pictureBox2
            End If
            If sender Is Me.button3 Then
                pictureBox = Me.pictureBox3
            End If
            If sender Is Me.button4 Then
                pictureBox = Me.pictureBox4
            End If
            If sender Is Me.button5 Then
                pictureBox = Me.pictureBox5
            End If

            If DialogResult.Cancel = dlg.ShowDialog(Me) Then
                Return
            End If
            pictureBox.BackColor = dlg.Color
        End Using
    End Sub


    ' FlatStyle + FlatAppearance の設定ボタンクリック
    Private Sub gradationButton5_Click(ByVal sender As Object, ByVal e As EventArgs) Handles gradationButton5.Click
        Try
            ' FlatStyle + FlatAppearance の設定を反映
            Me.gradationButton5.StartColor = Me.pictureBox1.BackColor
            Me.gradationButton5.EndColor = Me.pictureBox2.BackColor
            Me.gradationButton5.FlatAppearance.BorderColor = Me.pictureBox3.BackColor
            Me.gradationButton5.FlatAppearance.MouseDownBackColor = Me.pictureBox4.BackColor
            Me.gradationButton5.FlatAppearance.MouseOverBackColor = Me.pictureBox5.BackColor
            Me.gradationButton5.FlatAppearance.BorderSize = CInt(Me.numericUpDown1.Value)
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try
    End Sub

End Class
